Bug 105668 - Graphical installer fails to launch
Graphical installer fails to launch
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 09:28 EDT by Mikael Hultgren
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-14 17:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikael Hultgren 2003-09-26 09:28:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20030924
Firebird/0.7+ (daihard; XFT+GTK2; optimized for P4/SSE)

Description of problem:
On a Compaq Presario 14XL250 the graphic installer fails to launch, after
detecting my onboard graphic chip as a Trident CyberBlade( correct ) it just
hangs and im stuck watching a black screen forever.

The fix is to specify resolution=1024x768 on the kernel line on boot.

This is just during the install, when it's finished installing everything, X
works just fine with the options it detected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot with the cd.
2. Choose graphic installer

    

Actual Results:  Just a black screen.

Expected Results:  The installer should have come up.

Additional info:
Comment 1 Michael Fulbright 2003-09-26 12:29:15 EDT
Is this a laptop?
Comment 2 Mikael Hultgren 2003-09-26 16:03:12 EDT
Yes this is a laptop.
Comment 3 Ronny Buchmann 2003-10-07 14:14:33 EDT
I have the same problem with a ATI 3D Rage LT Pro (PCI-ID 4c42) in a noname laptop.
Using resolution=1024x768 doesn't help here.

X works fine after installations without any tweaks.

I'm almost sure it had the same problem with Shrike.
Comment 4 Jeremy Katz 2003-10-14 17:41:23 EDT
Unfortunately, there's no way to probe LCD panels to find out what their native
resolution is and ensure that we start up correctly.  We have some heuristics,
but they can't handle all of the cases.   resolution= exists precisely so that
we can work in those cases.
Comment 5 Ronny Buchmann 2003-11-10 10:07:10 EST
nofb fixed it for me

Note You need to log in before you can comment on or make changes to this bug.